Bug 1286842 - 'rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo' channel map is missing from channel-cert-mapping.txt
'rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo' channel map is missing fr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data (Show other bugs)
6.7
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: vritant
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 16:10 EST by John Sefler
Modified: 2017-03-21 06:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 06:54:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2015-11-30 16:10:11 EST
Description of problem:
Test Failed: VerifyChannelCertMappingFileSupportsRhnClassicBaseAndAvailableChildChannel_Test
java.lang.AssertionError: RHN Classic channel 'rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.22-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# grep server-6-rh-gluster-3-samba /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt 
rhel-x86_64-server-6-rh-gluster-3-samba: RHS-OnPremise-x86_64-cdbde10f1a46-186.pem
[root@jsefler-6 ~]# 

Actual results:
rhel-x86_64-server-6-rh-gluster-3-samba: RHS-OnPremise-x86_64-cdbde10f1a46-186.pem


Expected results:
rhel-x86_64-server-6-rh-gluster-3-samba: RHS-OnPremise-x86_64-cdbde10f1a46-186.pem
rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo: RHS-OnPremise-x86_64-cdbde10f1a46-186.pem


Additional info:

This bug depends on an update to upstream http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json
NEEDINFO from anthomas for an update to product-certs.json
Comment 1 John Sefler 2017-01-16 12:53:20 EST
Moving to MODIFIED because this appears to be already be fixed in version...


[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data 
subscription-manager-migration-data-2.0.32-1.el6.noarch
[root@jsefler-rhel6 ~]# grep server-6-rh-gluster-3-samba /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-rh-gluster-3-samba: RHGS-OnPremise-x86_64-f45cebfa539e-186.pem
rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo: RHGS-OnPremise-x86_64-f45cebfa539e-186.pem
[root@jsefler-rhel6 ~]#
Comment 2 John Sefler 2017-02-13 12:27:23 EST
Re-testing Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch
[root@jsefler-rhel6 ~]# grep server-6-rh-gluster-3-samba /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-rh-gluster-3-samba: OnPremise-x86_64-5486c7bac082-186.pem
[root@jsefler-rhel6 ~]# 

NOT sure what happened. The product cert mapping was changed and we lost the mapping for the debug channel rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo
Comment 6 John Sefler 2017-02-16 14:15:35 EST
Verifying Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.34-1.el6.noarch

[root@jsefler-rhel6 ~]# grep server-6-rh-gluster-3-samba /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-rh-gluster-3-samba: OnPremise-x86_64-5486c7bac082-186.pem
rhel-x86_64-server-6-rh-gluster-3-samba-debuginfo: OnPremise-x86_64-5486c7bac082-186.pem
[root@jsefler-rhel6 ~]# 


VERIFIED: Both debuginfo and non-debuginfo channels to product cert mappings for gluster-3-samba are now included in subscription-manager-migration-data-2.0.34
Comment 8 errata-xmlrpc 2017-03-21 06:54:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html

Note You need to log in before you can comment on or make changes to this bug.